Kdenlive/Manuel/Installation

Revision as of 20:14, 9 September 2018 by ChristianW (Talk | contribs) (Created page with "=== Installation à partir des paquets binaires précompilés ===")

Jump to: navigation, search
Other languages:
dansk • ‎Deutsch • ‎English • ‎español • ‎français • ‎русский • ‎українська • ‎中文(台灣)‎

Installation

Les informations de cette page peuvent être intéressantes pour des raisons historiques toutefois vous devriez visiter la page téléchargement du site Web Kdenlive pour lire des informations à jour concernant l'installation de Kdenlive (Août 2017).

Installation de paquets binaires

La plupart des distributions Linux fournissent des paquetages binaires récents de Kdenlive et pouvant être installés par votre gestionnaire d'installation. Bien que dans quelques cas vous pourriez trouver des versions plus récentes dans les répertoires privés.

Cette page à l'accueil de Kdenlive comporte les instructions sur la manière de choisir les fichiers source pour ces dernières versions, en fonction de quelle type de Linux vous exécutez. Les instructions pour Debian, Fedora, Gentoo, OpenSUSE, Slackware et Ubuntu sont disponibles.


As of May 2015, obtaining and installing the latest version of Kdenlive has gotten a little complicated. Development of Kdenlive up to this point has used a technology known as KDE Frameworks 4. And the last stable release using this technology is version 0.9.10, released 25th September 2014.
To use this you need to have recent versions of frei0r, Kdenlive , mlt and libvidstab, e.g.:

  • frei0r = 1.4.0+git20140826.72e51041
  • Kdenlive = 0.9.10
  • mlt = 0.9.3+git20141005.22abed67
  • libvidstab=2:0.98b


As of June 2015, this PPA has version 0.9.10 of Kdenlive , 1.4.0 of Frei0r and 0.9.3 of melt.

Development of Kdenlive has now switched to a new version of the KDE Frameworks called KF5 (KDE Frameworks 5). To install versions of Kdenlive using this underlying technology, you need to be on a Linux distribution which supports KF5. Ubuntu and its derivatives versioned 15.04 and higher support KF5. It is not possible to install KF5 on distributions earlier than 15.04 (except by chrooting your system). Versions using KF5 are distributed by the Kubuntu-CI Team. The sunab ppa (see below) now also distributes KF5 versions.
Version numbers of the KF5 flavour start at 15.04.0.
This author recommends using the sunab ppa to install Kdenlive rather than the Kubuntu-CI Team because the Kubuntu-CI Team PPA has many other packages in it which will attempt to uprade all sorts of things on your system—with the potential of breaking it.

Debian

Debian project has been shipping Kdenlive packages since the "squeeze" (6.0) release. However, to benefit from recent updates and bugfixes, you might consider upgrading to a "testing" release or even "sid".

Once your package management tool is pointed at an appropriate release, a simple apt install kdenlive should then work.

Sunab's PPA (see below) is not recommended for Debian because Debian uses a different lib layout for multiarch (reference: this post from vpinon).

Ubuntu et ses dérivés

Ubuntu also has offered Kdenlive since "gutsy" (7.10). However, to benefit from recent updates and bugfixes, you should consider upgrading to the latest release.

ppa:kdenlive/kdenlive-master is the development branch, with the very latest features additions.

ppa:kdenlive/kdenlive-testing is the feature-frozen branch, starting from the first beta, with bugfix updates as soon as solutions are found

ppa:kdenlive/kdenlive-stable est la dernière version robuste officielle

Not all the packages in the ppa are necessary. Install or upgrade the following to get a 15.04 release (version numbers as at 13 July 2015)

  • kdenlive (15.04.2-0ubuntu0-~sunab~vivid4)
  • kdenlive-data (15.04.2-0ubuntu0-~sunab~vivid4)
  • libmlt++3 (0.9.6-0ubuntu0~sunab~vivid1)
  • libmlt-data (0.9.6-0ubuntu0~sunab~vivid1)
  • libmlt6 (0.9.6-0ubuntu0~sunab~vivid1)
  • libvidstab1.0 (2:0.98b-0ubuntu0~sunab~vivid1)
  • melt ( 0.9.6-0ubuntu0~sunab~vivid1)

Non-Kubuntu users will need to install the kde-runtime package to fix missing buttons and icons.

Fedora, RedHat et leurs dérivés

RPM packages are not yet maintained in an official branch, so you must go through an unofficial repository such as RPM Fusion or packman (Has ver 15.12.0 29 Dec 2015). Follow the site's recommendations to make them available and end with yum install kdenlive.

Ports Gentoo, Arch, BSD

Building scripts are ready for up-to-date systems, so run respectively emerge kdenlive or pacman -S kdenlive or pkg_add kdenlive, etc.

Windows

The first Windows version of Kdenlive (v16.12.1) is available for download here. Read the installation instructions for Windows.

Alternatively you could try and use some virtualized Linux distribution to run Kdenlive on Windows. Some advice can be found on this page.

There is also the kdenlive on win project on SourceForge which "consists of an Ubuntu VirtualBox image that is preconfigured to run Kdenlive". The project was last updated 2012-08-09.

MacOS

Kdenlive and MLT can compile and run under Mac OS X. Packages are available from the MacPorts project.

MacPorts is a source-based system — there is not a binary app bundle for Kdenlive. Therefore, Kdenlive and all of its numerous dependencies, including multimedia libraries, KDE, and Qt, must be compiled. This can take a long time and much disk space! Furthermore, it is not unusual for something not to build correctly; it is definitely not something for the novice, impatient, or "faint of heart".

You may have some success getting support for the MacPort of Kdenlive on the Mac Ports forum on MacOS Forge.

Installation à partir des sources

If you want to test latest committed code or your personal patches, you will have to build Kdenlive (and probably MLT) on your own.

Details on how to compile and install Kdenlive from source are available on the Community wiki.

You can use your distribution's package building procedure to use its software management system to install/upgrade/remove the binaries and data, and eventually share your builds (and even contribute to package maintenance - refer to the respective distribution manual).

If you prefer you can build & install Kdenlive to a local area (preferably not /usr, but rather /usr/local or $HOME/my_local_builds/kdenlive-last-release or similar). You could try using this build script to build the latest version from the sources. Or you could use the this build script to build kdenlive ver 0.9.10 [1] (Follow the instructions under "show kdenlive". These instructions will build Kdenlive and its dependancies [e.g. melt, ffmpeg] in a "sandbox").

Installation à partir des paquets binaires précompilés

Kdenlive now offers pre-build binary packages deployed using Appimage technology - see Appimage section on the download page of the Kdenlive web site.

These install files are hosted at http://files.kde.org/kdenlive/ where you will find a release folder and an unstable folder The release folder contains binary builds of the current stable version of Kdenlive.

Windows Versions are in 7zip format archives with file names of the form

Kdenlive-17.04.0-2-w64.7z

For installation instructions for windows see the download page.


Les versions de Linux Appimage sont les fichiers dont le nom est de la forme

Kdenlive-17.04.1b-x86_64.AppImage

To run the AppImage versions simply make the downloaded file executable (chmod +x) and run it (./Kdenlive-17.04.1b-x86_64.AppImage)

Pre-built binary packages are often an easy solution if you are having troubles with your install and can be preferable to building your own because you don't need to install a build environment.

The pre-built AppImage version and your main version of Kdenlive can live simultaneously on your machine so you can test new and possibly unstable versions without breaking the main version of Kdenlive on your system.


A downside is that these packages have been built with a version of ffmpeg that only has the free video codecs. The type of files you can render your video to is limited. Choosing the Theora profile in the Web Sites rendering destination does work.

Kdenlive pre built binaries currently only supports 64 bit operating systems

  1. on distributions older than Debian 6 or Ubuntu 10.04 and derivatives, you need to set ENABLE_SWFDEC=0 in the config variables of the script. Modify the INSTALL_DIR in the script to something like INSTALL_DIR="$HOME/my_local_builds/kdenlive-last-release" to make it match where you want this local build to install.

Content is available under Creative Commons License SA 4.0 unless otherwise noted.